Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 9827)
+++ chan_sip.c	(working copy)
@@ -20392,6 +20392,10 @@
 					usleep(1);
 					sip_pvt_lock(dialog);
 				}
+				
+				if (!dialog->owner) /* channel is already hanged up */
+					return;
+					
 				ast_log(LOG_NOTICE, "Disconnecting call '%s' for lack of RTP activity in %ld seconds\n",
 					dialog->owner->name, (long) (t - dialog->lastrtprx));
 				/* Issue a softhangup */
